package com.liangjian.dataplatform.member.entity.vo.tagrules;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/7 15:56
 *
 * 条件节点，包含一个条件和这个条件满足时的返回
 */
@ApiModel(value = "条件节点",description = "每一个条件节点对应一个产出")
public class ConditionNode {

    @ApiModelProperty("逻辑树")
    private LogicTree logicTree;

    @ApiModelProperty(value = "产出结果", notes = "名称-唯一标识")
    private Map<String, String> result;

    public ConditionNode() {
    }

    public ConditionNode(LogicTree logicTree, Map<String, String> result) {
        this.logicTree = logicTree;
        this.result = result;
    }

    public LogicTree getLogicTree() {
        return logicTree;
    }

    public void setLogicTree(LogicTree logicTree) {
        this.logicTree = logicTree;
    }

    public Map<String, String> getResult() {
        return result;
    }

    public void setResult(Map<String, String> result) {
        this.result = result;
    }
}
